<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php'); 

$usu_id=ucfirst(limpiar($_POST['usu_id']));
$usu_cc=ucfirst(limpiar($_POST['usu_cc']));
$usu_username=ucfirst(limpiar($_POST['usu_username']));
$usu_nombre=ucfirst(limpiar($_POST['usu_nombre']));
$usu_correo=ucfirst(limpiar($_POST['usu_correo']));
$usu_tel=ucfirst(limpiar($_POST['usu_tel']));
$usu_dir=ucfirst(limpiar($_POST['usu_dir']));
$sql=mysqli_query($con,"UPDATE usuario Set
                            usu_cc='$usu_cc',
                            usu_username='$usu_username',
                            usu_nombre='$usu_nombre',
                            usu_correo='$usu_correo',
                            usu_tel='$usu_tel',
                            usu_dir='$usu_dir'
                            Where usu_id='$usu_id'") or  die(mysqli_error($con)); 

$nameimagen = $_FILES['imagen']['name'];
$tmpimagen = $_FILES['imagen']['tmp_name'];
$extimagen = pathinfo($nameimagen);
$ext = array("","jpg");
$urlnueva = "../img/usuarios/".$usu_id.".jpg";

if(is_uploaded_file($tmpimagen))
{
    if(array_search($extimagen['extension'],$ext))
    {
         copy($tmpimagen, $urlnueva);
    }
    else 
    {
        echo '<div class="alert alert-danger alert-dismissable">
                  <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                  <strong>La imagen no se guardo! </strong> Solo se permiten imágenes con formato  jpg.
            </div>';
    }
}


echo' <div class="alert alert-info alert-dismissable">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <strong>Datos Modificados Correctamente !</strong> <a href="#" class="alert-link"></a>
     </div>';
      
?>